Freeciv-3.3: /fast/freeciv/nightly/main/client/gui-qt/shortcuts.h File Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions
shortcuts.h File Reference
`#include <QDialog>`
`#include <QLineEdit>`
`#include <QPushButton>`

Go to the source code of this file.

## Data Structures

struct | fc_shortcut
class | fc_shortcuts
class | line_edit
class | fc_shortcut_popup
class | fc_sc_button
class | fc_shortcuts_dialog

## Macros

#define | SC_NUM_SHORTCUTS 61

## Enumerations

enum

shortcut_id {
SC_NONE = 0 , SC_SCROLL_MAP = 1 , SC_CENTER_VIEW = 2 , SC_FULLSCREEN = 3 ,
SC_MINIMAP = 4 , SC_CITY_OUTPUT = 5 , SC_MAP_GRID = 6 , SC_NAT_BORDERS = 7 ,
SC_QUICK_BUY = 8 , SC_QUICK_SELECT = 9 , SC_SELECT_BUTTON = 10 , SC_ADJUST_WORKERS = 11 ,
SC_APPEND_FOCUS = 12 , SC_POPUP_INFO = 13 , SC_WAKEUP_SENTRIES = 14 , SC_MAKE_LINK = 15 ,
SC_PASTE_PROD = 16 , SC_COPY_PROD = 17 , SC_HIDE_WORKERS = 18 , SC_SHOW_UNITS = 19 ,
SC_TRADE_ROUTES = 20 , SC_CITY_PROD = 21 , SC_CITY_NAMES = 22 , SC_DONE_MOVING = 23 ,
SC_GOTOAIRLIFT = 24 , SC_AUTOEXPLORE = 25 , SC_PATROL = 26 , SC_UNSENTRY_TILE = 27 ,
SC_DO = 28 , SC_UPGRADE_UNIT = 29 , SC_SETHOME = 30 , SC_BUILDMINE = 31 ,
SC_PLANT = 32 , SC_BUILDIRRIGATION = 33 , SC_CULTIVATE = 34 , SC_BUILDROAD = 35 ,
SC_BUILDCITY = 36 , SC_SENTRY = 37 , SC_FORTIFY = 38 , SC_GOTO = 39 ,
SC_WAIT = 40 , SC_TRANSFORM = 41 , SC_NUKE = 42 , SC_BOARD = 43 ,
SC_DEBOARD = 44 , SC_BUY_MAP = 45 , SC_IFACE_LOCK = 46 , SC_AUTOMATE = 47 ,
SC_CLEAN = 48 , SC_POPUP_COMB_INF = 49 , SC_RELOAD_THEME = 50 , SC_RELOAD_TILESET = 51 ,
SC_SHOW_FULLBAR = 52 , SC_ZOOM_IN = 53 , SC_ZOOM_OUT = 54 , SC_LOAD_LUA = 55 ,
SC_RELOAD_LUA = 56 , SC_ZOOM_RESET = 57 , SC_GOBUILDCITY = 58 , SC_GOJOINCITY = 59 ,
SC_STACK_SIZE = 60 , SC_PARADROP = 61
}

## Functions

void | popup_shortcuts_dialog ()
QString | shortcut_to_string (fc_shortcut *sc)
void | write_shortcuts ()
bool | read_shortcuts ()
void | shortcutreset ()

## Macro Definition Documentation

## ◆ SC_NUM_SHORTCUTS

#define SC_NUM_SHORTCUTS 61

Definition at line 98 of file shortcuts.h.

## Enumeration Type Documentation

## ◆ shortcut_id

enum shortcut_id

Enumerator
SC_NONE |
SC_SCROLL_MAP |
SC_CENTER_VIEW |
SC_FULLSCREEN |
SC_MINIMAP |
SC_CITY_OUTPUT |
SC_MAP_GRID |
SC_NAT_BORDERS |
SC_QUICK_BUY |
SC_QUICK_SELECT |
SC_SELECT_BUTTON |
SC_ADJUST_WORKERS |
SC_APPEND_FOCUS |
SC_POPUP_INFO |
SC_WAKEUP_SENTRIES |
SC_MAKE_LINK |
SC_PASTE_PROD |
SC_COPY_PROD |
SC_HIDE_WORKERS |
SC_SHOW_UNITS |
SC_TRADE_ROUTES |
SC_CITY_PROD |
SC_CITY_NAMES |
SC_DONE_MOVING |
SC_GOTOAIRLIFT |
SC_AUTOEXPLORE |
SC_PATROL |
SC_UNSENTRY_TILE |
SC_DO |
SC_UPGRADE_UNIT |
SC_SETHOME |
SC_BUILDMINE |
SC_PLANT |
SC_BUILDIRRIGATION |
SC_CULTIVATE |
SC_BUILDROAD |
SC_BUILDCITY |
SC_SENTRY |
SC_FORTIFY |
SC_GOTO |
SC_WAIT |
SC_TRANSFORM |
SC_NUKE |
SC_BOARD |
SC_DEBOARD |
SC_BUY_MAP |
SC_IFACE_LOCK |
SC_AUTOMATE |
SC_CLEAN |
SC_POPUP_COMB_INF |
SC_RELOAD_THEME |
SC_RELOAD_TILESET |
SC_SHOW_FULLBAR |
SC_ZOOM_IN |
SC_ZOOM_OUT |
SC_LOAD_LUA |
SC_RELOAD_LUA |
SC_ZOOM_RESET |
SC_GOBUILDCITY |
SC_GOJOINCITY |
SC_STACK_SIZE |
SC_PARADROP |

Definition at line 33 of file shortcuts.h.

## Function Documentation

## ◆ popup_shortcuts_dialog()

void popup_shortcuts_dialog | ( |  | ) |

Popups shortcut dialog

Definition at line 756 of file shortcuts.cpp.

## ◆ read_shortcuts()

bool read_shortcuts | ( |  | ) |

Reads shortcuts from file. Returns false if failed.

Definition at line 825 of file shortcuts.cpp.

Referenced by fc_shortcuts::init_default().

## ◆ shortcut_to_string()

QString shortcut_to_string | ( | fc_shortcut * | sc | ) |

Returns shortcut as string (eg. for menu)

Definition at line 184 of file shortcuts.cpp.

Referenced by fc_shortcut_popup::closeEvent(), mr_menu::execute_shortcut(), fc_sc_button::fc_sc_button(), fc_sc_button::popup_error(), mr_menu::setup_menus(), mr_menu::shortcut_2_menustring(), and mr_menu::shortcut_exist().

## ◆ shortcutreset()

void shortcutreset | ( |  | ) |

Do not use saved shortcuts, but default ones.

Definition at line 865 of file shortcuts.cpp.

Referenced by parse_options().

## ◆ write_shortcuts()

void write_shortcuts | ( |  | ) |

Writes shortcuts to file

Definition at line 792 of file shortcuts.cpp.

Referenced by fc_shortcuts_dialog::apply_option().